| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelInterfaceRoomAdaptor Class Reference
Service-side implementation » Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inheritance diagram for Tp::Service::ChannelInterfaceRoomAdaptor:
[legend]

## Public Member Functions

QString | RoomName () const
QString | Server () const
QString | Creator () const
uint | CreatorHandle () const
qlonglong | CreationTimestamp () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Room2".

## Member Function Documentation

## § RoomName()

QString Tp::Service::ChannelInterfaceRoomAdaptor::RoomName | ( |  | ) | const

Return the value of the exported D-Bus object property `RoomName` of type `QString`.

Adaptees should export this property as a Qt property named 'roomName' with type QString.

The human-readable identifier of a chat room. Note that if non-empty, this property (and perhaps also Server ) should be sufficient in a channel request to join the room. XMPP MUCs have a room name concept which is more like a topic, except more persistent. This D-Bus property is not this XMPP room name, but the bit before the @ in the room jid; see ChannelInterfaceRoomConfigInterface::Title for that concept.

This property cannot change during the lifetime of the channel. It should appear in the Allowed_Properties of a Requestable_Channel_Class for the connection if rooms on this connection have human-readable names, and can be joined by name.

Returns
  The value of exported property `RoomName`.

## § Server()

QString Tp::Service::ChannelInterfaceRoomAdaptor::Server | ( |  | ) | const

Return the value of the exported D-Bus object property `Server` of type `QString`.

Adaptees should export this property as a Qt property named 'server' with type QString.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server hosting this channel (for example, `"conference.jabber.org"` or `"groupchat.google.com"`). For other protocols, the empty string.

This property cannot change during the lifetime of the channel. It should appear in the Allowed_Properties of a Requestable_Channel_Class for the connection if and only if non-empty values are supported.

Returns
  The value of exported property `Server`.

## § Creator()

QString Tp::Service::ChannelInterfaceRoomAdaptor::Creator | ( |  | ) | const

Return the value of the exported D-Bus object property `Creator` of type `QString`.

Adaptees should export this property as a Qt property named 'creator' with type QString.

The normalized contact ID representing who created the room; or the empty string if unknown.

Returns
  The value of exported property `Creator`.

## § CreatorHandle()

uint Tp::Service::ChannelInterfaceRoomAdaptor::CreatorHandle | ( |  | ) | const

Return the value of the exported D-Bus object property `CreatorHandle` of type `uint`.

Adaptees should export this property as a Qt property named 'creatorHandle' with type uint.

The handle corresponding to Creator ; or 0 if Creator is unknown.

Returns
  The value of exported property `CreatorHandle`.

## § CreationTimestamp()

qlonglong Tp::Service::ChannelInterfaceRoomAdaptor::CreationTimestamp | ( |  | ) | const

Return the value of the exported D-Bus object property `CreationTimestamp` of type `qlonglong`.

Adaptees should export this property as a Qt property named 'creationTimestamp' with type qlonglong.

A unix timestamp indicating when the room was created; or `INT_MAX64` if unknown.

Returns
  The value of exported property `CreationTimestamp`.